#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.2.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.2.1.0-L2kwubuxGsJBi2nWlBmglC-tasty-sugar-internal

key:
    tasty-sugar-2.2.1.0-L2kwubuxGsJBi2nWlBmglC-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  1d268234a837bdd7915229da0807cc6c
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Ranged Test.Tasty.Sugar.Report
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.2.1.0-L2kwubuxGsJBi2nWlBmglC-tasty-sugar-internal

depends:
    base-4.17.2.1 containers-0.6.7 directory-1.3.7.1
    filemanip-0.3.6.3-BcZUsxk5cLcAAf2oa6AtQN filepath-1.4.2.2
    kvitable-1.0.3.0-56esqZOpkRcBP3L1Kjq2gr
    logict-0.7.1.0-mTPh1LbHHryGuHzaddZi
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd mtl-2.2.2
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-DM22ggmNw5yDKuyNmhCbol text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 tasty-sugar
version:              2.2.1.0
visibility:           public
id:                   tasty-sugar-2.2.1.0-9CUZ72E9WOI25Mumb1PtyH
key:                  tasty-sugar-2.2.1.0-9CUZ72E9WOI25Mumb1PtyH
license:              ISC
copyright:            Kevin Quick
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  f7246e6294c728ab88059120d89bdab7
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.2.1.0-9CUZ72E9WOI25Mumb1PtyH
depends:
    base-4.17.2.1 containers-0.6.7 directory-1.3.7.1
    filemanip-0.3.6.3-BcZUsxk5cLcAAf2oa6AtQN filepath-1.4.2.2
    logict-0.7.1.0-mTPh1LbHHryGuHzaddZi
    optparse-applicative-0.17.1.0-GJejBEZRufe1ghPqBo6gVT
    prettyprinter-1.7.1-DM22ggmNw5yDKuyNmhCbol
    tasty-1.4.3-L8GqEUJnKiWFsxRmxtJL4A
    tasty-sugar-2.2.1.0-L2kwubuxGsJBi2nWlBmglC-tasty-sugar-internal
    text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

